﻿@{
    Layout = null;
}
<!DOCTYPE html>
<html lang="pt-br">
<head>
    <title>Emergência Médica</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <link href="https://fonts.googleapis.com/css?family=Montserrat" rel="stylesheet" type="text/css">
    <link href="https://fonts.googleapis.com/css?family=Lato" rel="stylesheet" type="text/css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    @Styles.Render("~/Content/Site.css")
</head>
<body id="topo" data-spy="scroll" data-target=".navbar" data-offset="60">

    <nav class="navbar navbar-default navbar-fixed-top">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#myNavbar">
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a class="navbar-brand" href="#topo">EM</a>
            </div>
            <div class="collapse navbar-collapse" id="myNavbar">
                <ul class="nav navbar-nav navbar-right">
                    <li><a href="#grid_unidade_saude">Pesquisar</a></li>
                </ul>
            </div>
        </div>
    </nav>

    <div class="jumbotron text-center">
        <h1>Emergência Médica</h1>
        <p>Encontre um atendimento mais próximo de você.</p>
        
    </div>
    
    <div id="grid_unidade_saude" class="container-fluid">
        <div class="row">
            <h2>Unidades de Saúde</h2><br>
             <div class="col-md-6">
                 <div class="input-group">
                     <input type="text" class="form-control" data-bind="value: Endereco" placeholder="Pesquisa Pelo Endereço">
                     <span class="input-group-btn">
                         <button class="btn btn-default" type="button" data-bind="click: BuscarPeloEndereco">Pesquisar</button>
                     </span>
                 </div>
             </div>
             <div class="col-md-6">
                 <button class="btn btn-outline-primary" type="button" data-bind="click: LimparRota">Limpar</button>
             </div>
        </div>
        <br />
        <div class="row">
            <div class="col-sm-12">
                
                <table class="table" id="tabela_unidades">
                    <thead>
                        <tr>
                            <th scope="col">Nome Unidade</th>
                            <th scope="col">Endereço</th>
                            <th scope="col">Telefone</th>
                            <th scope="col">Distância</th>
                            <th scope="col">#</th>
                        </tr>
                    </thead>
                    <tbody data-bind="foreach: itens">
                        <tr>
                            <td data-bind="text: Nome"></td>
                            <td data-bind="text: Endereco"></td>
                            <td data-bind="text: Telefone"></td>
                            <td data-bind="text: DistanciaText"></td>
                            <td ><button type="button" class="btn btn-primary" data-bind="click: $parent.TracarRotaPeloEndereco">Ver Rota</button></td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <!-- Google Maps -->
    <div id="meuMapa" style="height:400px;width:100%;"></div>
        
    
    <footer class="container-fluid text-center">
        <a href="#topo" title="To Top">
            <span class="glyphicon glyphicon-chevron-up"></span>
        </a>
        <p>
            Desenvolvido por - <a href="https://www.linkedin.com/in/alexsanderdeoliveira/" target="_blank">Alexsander Oliveira</a>
            <br /><a href="https://gitlab.com/alexsander.oliveira/emergencia-medica" target="_blank">GitLab</a>
        </p>
    </footer>

    <div id="msg" data-bind="text: MsgErro"></div>
    
    @Scripts.Render("~/Scripts/knockout-3.4.2.js")
    <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAzkwiQXdOQ_GOdw1aEfmv7COLutAWQ2Rw&callback=initMap"
            async defer></script>
    @Scripts.Render("~/Scripts/UnidadeSaude/Index.js")
</body>
</html>


